<?php
/**
* Page-description: This php file is used by PHP-Fusion to "install" the infusion. It contains information about the database tables and the infusion itself.
* @package infusion
* @tables dbprefix_invite_invitations, dbprefix_invite_settings
*/
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Invite Infusion made by:
| XtraLars, bigwimp, johanf
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."invite_infusion/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."invite_infusion/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."invite_infusion/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."invite_infusion/locale/English.php";
}

// Infusion general information
$inf_title = $locale['inv100'];
$inf_description = $locale['inv101'];
$inf_version = "0.92";
$inf_developer = "XtraLars, bigwimp, johanf";
$inf_email = "xtralars@baluba.org";
$inf_weburl = "http://beta.baluba.org/";

$inf_folder = "invite_infusion"; // The folder in which the infusion resides.



// Delete any items not required here.
$inf_newtable[1] = DB_INVITE_INVITATIONS." (
  inv_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  inv_key VARCHAR(50) NULL default '',
  inv_email VARCHAR(100) NULL default '',
  inv_date DATE NULL ,
  user_id SMALLINT(5) UNSIGNED NOT NULL,
  PRIMARY KEY(inv_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_INVITE_SETTINGS." (
  inv_group SMALLINT(3) UNSIGNED NOT NULL DEFAULT 101,
  inv_lasts SMALLINT(3) UNSIGNED NOT NULL DEFAULT 10,
  inv_adminapproval BOOL NOT NULL DEFAULT 0,
  inv_emailverification BOOL NULL DEFAULT 0,
  inv_enabled BOOL NULL default 1,
  PRIMARY KEY(inv_group),
  INDEX fusion_invite_settings_FKIndex1(inv_group)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_INVITE_INVITATIONS;
$inf_droptable[2] = DB_INVITE_SETTINGS;

$inf_insertdbrow[1] = DB_INVITE_SETTINGS." (inv_group, inv_lasts, inv_adminapproval) VALUES(101, 10, 0)";

$inf_adminpanel[1] = array(
	"title" => $locale['inv100'],
	"image" => "",
	"panel" => "invite_admin.php",
	"rights" => "IF"
);

$inf_sitelink[1] = array(
	"title" => $locale['inv102'],
	"url" => "invite.php",
	"visibility" => "101"
);

?>